CMSIS-Core (Cortex-M): CONTROL_Type Union Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
CONTROL_Type Union Reference

Union type to access the Control Registers (CONTROL). More...

## Data Fields

struct {
uint32_t nPRIV:1
| bit: 0 Execution privilege in Thread mode More...
uint32_t SPSEL:1
| bit: 1 Stack to be used More...
uint32_t FPCA:1
| bit: 2 FP extension active flag More...
uint32_t _reserved0:29
| bit: 3..31 Reserved More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Description

Union type to access the Control Registers (CONTROL).

## Field Documentation

uint32_t CONTROL_Type::_reserved0

bit: 3..31 Reserved

struct { ... } CONTROL_Type::b

Structure used for bit access.

uint32_t CONTROL_Type::FPCA

bit: 2 FP extension active flag

uint32_t CONTROL_Type::nPRIV

bit: 0 Execution privilege in Thread mode

uint32_t CONTROL_Type::SPSEL

bit: 1 Stack to be used

uint32_t CONTROL_Type::w

Type used for word access.